diff --git a/changelog b/changelog
index 02caa58..352a0cf 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20081208 tpd src/axiom-website/patches.html 20081208.01.tpd.patch
+20081208 tpd src/input/Makefile hyperbolicrules.input added
+20081208 tpd src/input/hyperbolicrules.input added
 20081206 tpd src/axiom-website/patches.html 20081206.01.tpd.patch
 20081206 tpd src/input/Makefile add fixed.regress
 20081206 tpd src/input/fixed.input convert to a regression file
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 2428e91..2e7c231 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -787,6 +787,8 @@ bug 7161: integer.spad remove signature change<br/>
 schaum17 fix 14.355, 14.356<br/>
 <a href="patches/20081206.01.tpd.patch">20081206.01.tpd.patch</a>
 regression file fixed created<br/>
+<a href="patches/20081208.01.tpd.patch">20081208.01.tpd.patch</a>
+CATS hyperbolicrules.input added<br/>
 
  </body>
 </html>
\ No newline at end of file
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 2cf453c..45343ce 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -314,7 +314,8 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     gbf.regress       genups.regress   gonshor.regress  grpthry.regress \
     gstbl.regress     heap.regress     heat.regress     help.regress \
     herm.regress      heugcd.regress \
-    hexadec.regress   ico.regress      ideal.regress \
+    hexadec.regress   hyperbolicrules.regress \
+    ico.regress      ideal.regress \
     ifact.regress     ifthenelse.regress \
     infprod.regress   intaf.regress    intbypart.regress \
     intdeq.regress \
@@ -582,7 +583,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/gstbl.input \
        ${OUT}/heap.input     ${OUT}/heat.input       ${OUT}/helix.input \
        ${OUT}/herm.input     ${OUT}/heugcd.input \
-       ${OUT}/hexadec.input    ${OUT}/huang.input \
+       ${OUT}/hexadec.input  ${OUT}/huang.input \
+       ${OUT}/hyperbolicrules.input \
        ${OUT}/ico.input      ${OUT}/ideal.input      ${OUT}/ifact.input \
        ${OUT}/ifthenelse.input \
        ${OUT}/images1.input  ${OUT}/images1a.input   ${OUT}/images3a.input \
@@ -875,7 +877,8 @@ DOCFILES= \
   ${DOC}/help.input.dvi        ${DOC}/herm.input.dvi       \
   ${DOC}/heugcd.input.dvi \
   ${DOC}/hexadec.input.dvi     ${DOC}/hilbert.as.dvi       \
-  ${DOC}/huang.input.dvi       ${DOC}/ico.input.dvi        \
+  ${DOC}/huang.input.dvi ${DOC}/hyperbolicrules.input.dvi \
+  ${DOC}/ico.input.dvi        \
   ${DOC}/ideal.input.dvi       ${DOC}/ifact.input.dvi      \
   ${DOC}/ifthenelse.input.dvi \
   ${DOC}/images1a.input.dvi    ${DOC}/images1.input.dvi    \
diff --git a/src/input/hyperbolicrules.input.pamphlet b/src/input/hyperbolicrules.input.pamphlet
new file mode 100644
index 0000000..fd3af28
--- /dev/null
+++ b/src/input/hyperbolicrules.input.pamphlet
@@ -0,0 +1,3130 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input hyperbolicrules.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\section{Definition of Hyperbolic Functions}
+\subsection{8.1 Hyperbolic sine of x}
+\[{\rm sinh}(x) == \frac{e^x-e^{-x}}{2}\]
+<<*>>=
+)spool hyperbolicrules.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 298
+sinhdef:=rule(sinh(x) == (e^x-e^(-x))/2)
+--R
+--R                    x    - x
+--R                   e  - e
+--R   (1)  sinh(x) == ---------
+--R                       2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 1
+
+--S 2 of 298
+t1:=sinh(x) - (e^x-e^(-x))/2
+--R
+--R           x    - x
+--R        - e  + e    + 2sinh(x)
+--R   (2)  ----------------------
+--R                   2
+--R                                                     Type: Expression Integer
+--E 2
+
+--S 3 of 298
+t2:=sinhdef t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 3
+
+@
+\subsection{8.2 Hyperbolic cosine of x}
+\[{\rm cosh}(x) == \frac{e^x+e^{-x}}{2}\]
+<<*>>=
+)clear all
+
+--S 4 of 298
+coshdef:=rule(cosh(x) == (e^x+e^(-x))/2)
+--R
+--R                    x    - x
+--R                   e  + e
+--R   (1)  cosh(x) == ---------
+--R                       2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 4
+
+--S 5 of 298
+t1:=cosh(x) - (e^x+e^(-x))/2
+--R
+--R           x    - x
+--R        - e  - e    + 2cosh(x)
+--R   (2)  ----------------------
+--R                   2
+--R                                                     Type: Expression Integer
+--E 5
+
+--S 6 of 298
+t2:=coshdef t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 6
+
+@
+\subsection{8.3 Hyperbolic tangent of x}
+\[{\rm tanh}(x) == \frac{e^x-e^{-x}}{e^x+e^{-x}}\]
+<<*>>=
+)clear all
+
+--S 7 of 298
+tanhdef:=rule(tanh(x) == (e^x-e*(-x))/(e^x+e*(-x)))
+--R
+--R                    x
+--R                   e  + e x
+--R   (1)  tanh(x) == --------
+--R                    x
+--R                   e  - e x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 7
+
+--S 8 of 298
+t1:=tanh(x) - (e^x-e*(-x))/(e^x+e*(-x))
+--R
+--R                      x
+--R        (tanh(x) - 1)e  - e x tanh(x) - e x
+--R   (2)  -----------------------------------
+--R                       x
+--R                      e  - e x
+--R                                                     Type: Expression Integer
+--E 8
+
+--S 9 of 298
+t2:=tanhdef t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 9
+
+@
+\subsection{8.4 Hyperbolic cotangent of x}
+\[{\rm coth}(x) == \frac{e^x+e^{-x}}{e^x-e^{-x}}\]
+<<*>>=
+)clear all
+
+--S 10 of 298
+cothdef:=rule(coth(x) == (e^x+e*(-x))/(e^x-e*(-x)))
+--R
+--R                    x
+--R                   e  - e x
+--R   (1)  coth(x) == --------
+--R                    x
+--R                   e  + e x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 10
+
+--S 11 of 298
+t1:=coth(x) - (e^x+e*(-x))/(e^x-e*(-x))
+--R
+--R                      x
+--R        (coth(x) - 1)e  + e x coth(x) + e x
+--R   (2)  -----------------------------------
+--R                       x
+--R                      e  + e x
+--R                                                     Type: Expression Integer
+--E 11
+
+--S 12 of 298
+t2:=cothdef t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 12
+
+@
+\subsection{8.5 Hyperbolic secant of x}
+\[{\rm sech}(x) == \frac{2}{e^x+e^{-x}}\]
+<<*>>=
+)clear all
+
+--S 13 of 298
+sechdef:=rule(sech(x) == 2/(e^x+e*(-x)))
+--R
+--R                       2
+--R   (1)  sech(x) == --------
+--R                    x
+--R                   e  - e x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 13
+
+--S 14 of 298
+t1:=sech(x) - 2/(e^x+e*(-x))
+--R
+--R                x
+--R        sech(x)e  - e x sech(x) - 2
+--R   (2)  ---------------------------
+--R                   x
+--R                  e  - e x
+--R                                                     Type: Expression Integer
+--E 14
+
+--S 15 of 298
+t2:=sechdef t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 15
+
+@
+\subsection{8.6 Hyperbolic cosecant of x}
+\[{\rm csch}(x) == \frac{2}{e^x-e^{-x}}\]
+<<*>>=
+)clear all
+
+--S 16 of 298
+cschdef:=rule(csch(x) == 2/(e^x-e*(-x)))
+--R
+--R                       2
+--R   (1)  csch(x) == --------
+--R                    x
+--R                   e  + e x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 16
+
+--S 17 of 298
+t1:=csch(x) - 2/(e^x-e*(-x))
+--R
+--R                x
+--R        csch(x)e  + e x csch(x) - 2
+--R   (2)  ---------------------------
+--R                   x
+--R                  e  + e x
+--R                                                     Type: Expression Integer
+--E 17
+
+--S 18 of 298
+t2:=cschdef t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 18
+
+@
+\section{Relationship among Hyperbolic Functions}
+\subsection{8.7 ${\rm tanh}(x)$}
+\[{\rm tanh}(x) == \frac{{\rm sinh}(x)}{{\rm cosh}(x)}\]
+<<*>>=
+)clear all
+
+--S 19 of 298
+tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
+--R
+--R                   sinh(x)
+--R   (1)  tanh(x) == -------
+--R                   cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 19
+
+--S 20 of 298
+t1:=tanh(x) - sinh(x)/cosh(x)
+--R
+--R        cosh(x)tanh(x) - sinh(x)
+--R   (2)  ------------------------
+--R                 cosh(x)
+--R                                                     Type: Expression Integer
+--E 20
+
+--S 21 of 298
+t2:=tanhrule t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 21
+
+@
+\subsection{8.8 ${\rm coth}(x)$}
+\[{\rm coth}(x) == \frac{1}{{\rm tanh}(x)}\]
+\[== \frac{{\rm cosh}(x)}{{\rm sinh}(x)}\]
+<<*>>=
+)clear all
+
+--S 22 of 298
+cothrule:=rule(coth(x) == 1/tanh(x))
+--R
+--R                      1
+--R   (1)  coth(x) == -------
+--R                   tanh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 22
+
+--S 23 of 298
+t1:=coth(x) - 1/tanh(x)
+--R
+--R        coth(x)tanh(x) - 1
+--R   (2)  ------------------
+--R              tanh(x)
+--R                                                     Type: Expression Integer
+--E 23
+
+--S 24 of 298
+t2:=cothrule t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 24
+
+--S 25 of 298
+cothrule2:=rule(coth(x) == cosh(x)/sinh(x))
+--R
+--R                   cosh(x)
+--R   (4)  coth(x) == -------
+--R                   sinh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 25
+
+--S 26 of 298
+t3:=coth(x) - cosh(x)/sinh(x)
+--R
+--R        coth(x)sinh(x) - cosh(x)
+--R   (5)  ------------------------
+--R                 sinh(x)
+--R                                                     Type: Expression Integer
+--E 26
+
+--S 27 of 298
+t4:=cothrule2 t3
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E 27
+
+@
+\subsection{8.9 ${\rm sech}(x)$}
+\[{\rm sech}(x) == \frac{1}{{\rm cosh}(x)}\]
+<<*>>=
+)clear all
+
+--S 28 of 298
+sechrule:=rule(sech(x) == 1/cosh(x))
+--R
+--R                      1
+--R   (1)  sech(x) == -------
+--R                   cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 28
+
+--S 29 of 298
+t1:=sech(x) - 1/cosh(x)
+--R
+--R        cosh(x)sech(x) - 1
+--R   (2)  ------------------
+--R              cosh(x)
+--R                                                     Type: Expression Integer
+--E 29
+
+--S 30 of 298
+t2:=sechrule t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 30
+
+@
+\subsection{8.10 ${\rm csch}(x)$}
+\[{\rm csch}(x) == \frac{1}{{\rm sinh}(x)}\]
+<<*>>=
+)clear all
+
+--S 31 of 298
+cschrule:=rule(csch(x) == 1/sinh(x))
+--R
+--R                      1
+--R   (1)  csch(x) == -------
+--R                   sinh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 31
+
+--S 32 of 298
+t1:=csch(x) - 1/sinh(x)
+--R
+--R        csch(x)sinh(x) - 1
+--R   (2)  ------------------
+--R              sinh(x)
+--R                                                     Type: Expression Integer
+--E 32
+
+--S 33 of 298
+t2:=cschrule t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 33
+
+@
+\subsection{8.11 ${\rm cosh}^2(x)-~{\rm sinh}^2(x)$}
+\[{\rm cosh}^2(x)-~{\rm sinh}^2(x) == 1\]
+<<*>>=
+)clear all
+
+--S 34 of 298
+coshsinh:=rule(cosh(x)^2-sinh(x)^2 == 1)
+--R
+--R                 2          2
+--I   (1)  - sinh(x)  + cosh(x)  + %Y == %Y + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 34
+
+--S 35 of 298
+t1:=cosh(x)^2-sinh(x)^2 - 1
+--R
+--R                 2          2
+--R   (2)  - sinh(x)  + cosh(x)  - 1
+--R                                                     Type: Expression Integer
+--E 35
+
+--S 36 of 298
+t2:=coshsinh t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 36
+
+@
+\subsection{8.12 ${\rm sech}^2(x)+~{\rm tanh}^2(x)$}
+\[{\rm sech}^2(x)+~{\rm tanh}^2(x) == 1\]
+<<*>>=
+)clear all
+
+--S 37 of 298
+sechtanh:=rule(sech(x)^2+tanh(x)^2 == 1)
+--R
+--R               2          2
+--I   (1)  tanh(x)  + sech(x)  + %Z == %Z + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 37
+
+--S 38 of 298
+t1:=sech(x)^2+tanh(x)^2 - 1
+--R
+--R               2          2
+--R   (2)  tanh(x)  + sech(x)  - 1
+--R                                                     Type: Expression Integer
+--E 38
+
+--S 39 of 298
+t2:=sechtanh t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 39
+
+@
+\subsection{8.13 ${\rm coth}^2(x)-~{\rm csch}^2(x)$}
+\[{\rm coth}^2(x)-~{\rm csch}^2(x) == 1\]
+<<*>>=
+)clear all
+
+--S 40 of 298
+cothcsch:=rule(coth(x)^2-csch(x)^2 == 1)
+--R
+--R                 2          2
+--I   (1)  - csch(x)  + coth(x)  + %BA == %BA + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 40
+
+--S 41 of 298
+t1:=coth(x)^2-csch(x)^2 - 1
+--R
+--R                 2          2
+--R   (2)  - csch(x)  + coth(x)  - 1
+--R                                                     Type: Expression Integer
+--E 41
+
+--S 42 of 298
+t2:=cothcsch t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 42
+
+@
+\section{Functions of Negative Arguments}
+Axiom already knows these simplifications
+\subsection{8.14 ${\rm sinh}(-x)$}
+\[{\rm sinh}(-x) == -~{\rm sinh}(x)\]
+<<*>>=
+)clear all
+
+--S 43 of 298
+sinh(-x)
+--R
+--R   (1)  - sinh(x)
+--R                                                     Type: Expression Integer
+--E 43
+
+
+@
+\subsection{8.15 ${\rm cosh}(-x)$}
+\[{\rm cosh}(-x) == {\rm cosh}(x)\]
+<<*>>=
+)clear all
+
+--S 44 of 298
+cosh(-x)
+--R
+--R   (1)  cosh(x)
+--R                                                     Type: Expression Integer
+--E 44
+
+@
+\subsection{8.16 ${\rm tanh}(-x)$}
+\[{\rm tanh}(-x) == -~{\rm tanh}(x)\]
+<<*>>=
+)clear all
+
+--S 45 of 298
+tanh(-x)
+--R
+--R   (1)  - tanh(x)
+--R                                                     Type: Expression Integer
+--E 45
+
+@
+\subsection{8.17 ${\rm csch}(-x)$}
+\[{\rm csch}(-x) == -~{\rm csch(x)}\]
+<<*>>=
+)clear all
+
+--S 46 of 298
+csch(-x)
+--R
+--R   (1)  - csch(x)
+--R                                                     Type: Expression Integer
+--E 46
+
+@
+\subsection{8.18 ${\rm sech}(-x)$}
+\[{\rm sech}(-x) == {\rm sech}(x)\]
+<<*>>=
+)clear all
+
+--S 47 of 298
+sech(-x)
+--R
+--R   (1)  sech(x)
+--R                                                     Type: Expression Integer
+--E 47
+
+@
+\subsection{8.19 ${\rm coth}(-x)$}
+\[{\rm coth}(-x) == -~{\rm coth}(x)\]
+<<*>>=
+)clear all
+
+--S 48 of 298
+coth(-x)
+--R
+--R   (1)  - coth(x)
+--R                                                     Type: Expression Integer
+--E 48
+
+@
+\section{Addition Formulas}
+\subsection{8.20 ${\rm sinh}(x \pm y)$}
+\[{\rm sinh}(x \pm y) == {\rm sinh}(x)~{\rm cosh}(y)\pm~{\rm cosh}(x)~{\rm sinh}(y)\]
+<<*>>=
+)clear all
+
+--S 49 of 298
+sinhadd:=rule(sinh(x+y) == sinh(x)*cosh(y)+cosh(x)*sinh(y))
+--R
+--R   (1)  sinh(y + x) == cosh(x)sinh(y) + cosh(y)sinh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 49
+
+--S 50 of 298
+t1:=sinh(x+y) - (sinh(x)*cosh(y)+cosh(x)*sinh(y))
+--R
+--R   (2)  sinh(y + x) - cosh(x)sinh(y) - cosh(y)sinh(x)
+--R                                                     Type: Expression Integer
+--E 50
+
+--S 51 of 298
+t2:=sinhadd t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 51
+
+--S 52 of 298
+sinhsub:=rule(sinh(x-y) == sinh(x)*cosh(y)-cosh(x)*sinh(y))
+--R
+--I   (4)  - %T sinh(y - x) == - %T cosh(x)sinh(y) + %T cosh(y)sinh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 52
+
+--S 53 of 298
+t3:=sinh(x-y) - (sinh(x)*cosh(y)-cosh(x)*sinh(y))
+--R
+--R   (5)  cosh(x)sinh(y) - sinh(y - x) - cosh(y)sinh(x)
+--R                                                     Type: Expression Integer
+--E 53
+
+--S 54 of 298
+t4:=sinhsub t3
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E 54 
+
+@
+\subsection{8.21 ${\rm cosh}(x \pm y)$}
+\[{\rm cosh}(x \pm y) == {\rm cosh}(x)~{\rm cosh}(y)\pm~{\rm sinh}(x)~{\rm sinh}(y)\]
+<<*>>=
+)clear all
+
+--S 55 of 298
+coshadd:=rule(cosh(x+y) == cosh(x)*cosh(y)+sinh(x)*sinh(y))
+--R
+--R   (1)  cosh(y + x) == sinh(x)sinh(y) + cosh(x)cosh(y)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 55
+
+--S 56 of 298
+t1:=cosh(x+y) - (cosh(x)*cosh(y)+sinh(x)*sinh(y))
+--R
+--R   (2)  - sinh(x)sinh(y) + cosh(y + x) - cosh(x)cosh(y)
+--R                                                     Type: Expression Integer
+--E 56
+
+--S 57 of 298
+t2:=coshadd t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 57
+
+--S 58 of 298
+coshsub:=rule(cosh(x-y) == cosh(x)*cosh(y)-sinh(x)*sinh(y))
+--R
+--R   (4)  cosh(y - x) == - sinh(x)sinh(y) + cosh(x)cosh(y)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 58
+
+--S 59 of 298
+t3:=cosh(x-y) - (cosh(x)*cosh(y)-sinh(x)*sinh(y))
+--R
+--R   (5)  sinh(x)sinh(y) - cosh(x)cosh(y) + cosh(y - x)
+--R                                                     Type: Expression Integer
+--E 59
+
+--S 60 of 298
+t4:=coshsub t3
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E 60
+
+@
+\subsection{8.22 ${\rm tanh}(x \pm y)$}
+\[{\rm tanh}(x \pm y) == \frac{{\rm tanh}(x)\pm~{\rm tanh}(y)}{1\pm~{\rm tanh}(x)~{\rm tanh}(y)}\]
+<<*>>=
+)clear all
+
+--S 61 of 298
+tanhadd:=rule(tanh(x+y) == (tanh(x)+tanh(y))/(1+tanh(x)*tanh(y)))
+--R
+--R                        tanh(y) + tanh(x)
+--R   (1)  tanh(y + x) == ------------------
+--R                       tanh(x)tanh(y) + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 61
+
+--S 62 of 298
+t1:=tanh(x+y) - (tanh(x)+tanh(y))/(1+tanh(x)*tanh(y))
+--R
+--R        (tanh(x)tanh(y) + 1)tanh(y + x) - tanh(y) - tanh(x)
+--R   (2)  ---------------------------------------------------
+--R                         tanh(x)tanh(y) + 1
+--R                                                     Type: Expression Integer
+--E 62
+
+--S 63 of 298
+t2:=tanhadd t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 63
+
+--S 64 of 298
+tanhneg:=rule(tanh(x-y) == (tanh(x)-tanh(y))/(1-tanh(x)*tanh(y)))
+--R
+--I                            %V tanh(y) - %V tanh(x)
+--I   (4)  - %V tanh(y - x) == -----------------------
+--R                               tanh(x)tanh(y) - 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 64
+
+--S 65 of 298
+t3:=tanh(x-y) - (tanh(x)-tanh(y))/(1-tanh(x)*tanh(y))
+--R
+--R        (- tanh(x)tanh(y - x) - 1)tanh(y) + tanh(y - x) + tanh(x)
+--R   (5)  ---------------------------------------------------------
+--R                            tanh(x)tanh(y) - 1
+--R                                                     Type: Expression Integer
+--E 65
+
+@
+This loops forever.
+<<*>>=
+--S 66 of 298
+-- t4:=tanhneg t3
+--E 66
+
+@
+\subsection{8.23 ${\rm coth}(x \pm y)$}
+\[{\rm coth}(x \pm y) == \frac{{\rm coth}(x)~{\rm coth}(y)\pm 1}{{\rm coth}(y)\pm~{\rm coth}(x)}\]
+<<*>>=
+)clear all
+
+--S 67 of 298
+cothadd:=rule(coth(x+y) == (coth(x)*coth(y)+1)/(coth(y)+coth(x)))
+--R
+--R                       coth(x)coth(y) + 1
+--R   (1)  coth(y + x) == ------------------
+--R                        coth(y) + coth(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 67
+
+--S 68 of 298
+t1:=coth(x+y) - (coth(x)*coth(y)+1)/(coth(y)+coth(x))
+--R
+--R        (coth(y) + coth(x))coth(y + x) - coth(x)coth(y) - 1
+--R   (2)  ---------------------------------------------------
+--R                         coth(y) + coth(x)
+--R                                                     Type: Expression Integer
+--E 68
+
+--S 69 of 298
+t2:=cothadd t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 69
+
+--S 70 of 298
+cothneg:=rule(coth(x-y) == (coth(x)*coth(y)-1)/(coth(y)-coth(x)))
+--R
+--I                            %W coth(x)coth(y) - %W
+--I   (4)  - %W coth(y - x) == ----------------------
+--R                               coth(y) - coth(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 70
+
+--S 71 of 298
+t3:=coth(x-y) - (coth(x)*coth(y)-1)/(coth(y)-coth(x))
+--R
+--R        (- coth(y - x) - coth(x))coth(y) + coth(x)coth(y - x) + 1
+--R   (5)  ---------------------------------------------------------
+--R                            coth(y) - coth(x)
+--R                                                     Type: Expression Integer
+--E 71
+
+@
+This loops forever
+<<*>>=
+--S 72 of 298
+--t4:=cothneg t3
+--E 72
+
+@
+\section{Double Angle Formulas}
+\subsection{8.24 ${\rm sinh}(2x)$}
+\[{\rm sinh}(2x) == 2~{\rm sinh}(x)~{\rm cosh}(x)\]
+<<*>>=
+)clear all
+
+--S 73 of 298
+sinh2x:=rule(sinh(2*x) == 2*sinh(x)*cosh(x))
+--R
+--R   (1)  sinh(2x) == 2cosh(x)sinh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 73
+
+--S 74 of 298
+t1:=sinh(2*x) - 2*sinh(x)*cosh(x)
+--R
+--R   (2)  sinh(2x) - 2cosh(x)sinh(x)
+--R                                                     Type: Expression Integer
+--E 74
+
+--S 75 of 298
+t2:=sinh2x t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 75
+
+@
+\subsection{8.25 ${\rm cosh}(2x)$}
+\[{\rm cosh}(2x) == {\rm cosh}^2(x)+~{\rm sinh}^2(x)\]
+\[==2~{\rm cosh}^2(x)-1\]
+\[==1+2~{\rm sinh}^2(x)\]
+<<*>>=
+)clear all
+
+--S 76 of 298
+cosh2x:=rule(cosh(2*x) == cosh(x)^2+sinh(x)^2)
+--R
+--R                           2          2
+--R   (1)  cosh(2x) == sinh(x)  + cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 76
+
+--S 77 of 298
+t1:=cosh(2*x) - (cosh(x)^2+sinh(x)^2)
+--R
+--R                 2                     2
+--R   (2)  - sinh(x)  + cosh(2x) - cosh(x)
+--R                                                     Type: Expression Integer
+--E 77
+
+--S 78 of 298
+t2:=cosh2x t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 78
+
+--S 79 of 298
+cosh2x2:=rule(cosh(2*x) == 2*cosh(x)^2-1)
+--R
+--R                            2
+--R   (4)  cosh(2x) == 2cosh(x)  - 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 79
+
+--S 80 of 298
+t3:=cosh(2*x) - (2*cosh(x)^2-1)
+--R
+--R                           2
+--R   (5)  cosh(2x) - 2cosh(x)  + 1
+--R                                                     Type: Expression Integer
+--E 80
+
+--S 81 of 298
+t4:=cosh2x2 t3
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E 81
+
+--S 82 of 298
+cosh2x3:=rule(cosh(2*x) == 1+2*sinh(x)^2)
+--R
+--R                            2
+--R   (7)  cosh(2x) == 2sinh(x)  + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 82
+
+--S 83 of 298
+t5:=cosh(2*x) - (1+2*sinh(x)^2)
+--R
+--R                  2
+--R   (8)  - 2sinh(x)  + cosh(2x) - 1
+--R                                                     Type: Expression Integer
+--E 83
+
+--S 84 of 298
+t6:=cosh2x3 t5
+--R
+--R   (9)  0
+--R                                                     Type: Expression Integer
+--E 84
+
+@
+\subsection{8.26 ${\rm tanh}(2x)$}
+\[{\rm tanh}(2x) == \frac{2~{\rm tanh}(x)}{1+~{\rm tanh}^2(x)}\]
+<<*>>=
+)clear all
+
+--S 85 of 298
+tanh2x:=rule(tanh(2*x) == (2*tanh(x))/(1+tanh(x)^2))
+--R
+--R                      2tanh(x)
+--R   (1)  tanh(2x) == ------------
+--R                           2
+--R                    tanh(x)  + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 85
+
+--S 86 of 298
+t1:=tanh(2*x) - (2*tanh(x))/(1+tanh(x)^2)
+--R
+--R                2
+--R        (tanh(x)  + 1)tanh(2x) - 2tanh(x)
+--R   (2)  ---------------------------------
+--R                          2
+--R                   tanh(x)  + 1
+--R                                                     Type: Expression Integer
+--E 86
+
+--S 87 of 298
+t2:=tanh2x t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 87
+
+@
+\section{Half Angle Formulas}
+\subsection{8.27 ${\rm sinh}\left(\frac{x}{2}\right)$}
+\[{\rm sinh}\left(\frac{x}{2}\right) == \pm\sqrt{\frac{{\rm cosh}(x) - 1}{2}}\quad [+~{\rm if\ \ }x > 0, -{\rm if\ \ }x < 0]\]
+
+if $x > 0$ then
+<<*>>=
+)clear all
+
+--S 88 of 298
+sinhhalf:=rule(sinh(x/2) == sqrt((cosh(x)-1)/2))
+--R
+--R                    +-----------+
+--R             x     \|cosh(x) - 1
+--R   (1)  sinh(-) == --------------
+--R             2           +-+
+--R                        \|2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 88
+
+--S 89 of 298
+t1:=sinh(x/2) - sqrt((cosh(x)-1)/2)
+--R
+--R           +-----------+    +-+     x
+--R        - \|cosh(x) - 1  + \|2 sinh(-)
+--R                                    2
+--R   (2)  ------------------------------
+--R                      +-+
+--R                     \|2
+--R                                                     Type: Expression Integer
+--E 89
+
+--S 90 of 298
+t2:=sinhhalf t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 90
+
+@
+if $x < 0$ then
+<<*>>=
+)clear all
+
+--S 91 of 298
+sinhhalfneg:=rule(sinh(x/2) == -sqrt((cosh(x)-1)/2))
+--R
+--R                      +-----------+
+--R             x       \|cosh(x) - 1
+--R   (1)  sinh(-) == - --------------
+--R             2             +-+
+--R                          \|2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 91
+
+--S 92 of 298
+t1:=sinh(x/2) - -sqrt((cosh(x)-1)/2)
+--R
+--R         +-----------+    +-+     x
+--R        \|cosh(x) - 1  + \|2 sinh(-)
+--R                                  2
+--R   (2)  ----------------------------
+--R                     +-+
+--R                    \|2
+--R                                                     Type: Expression Integer
+--E 92
+
+--S 93 of 298
+t2:=sinhhalfneg t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 93
+
+@
+\subsection{8.28 ${\rm cosh}\left(\frac{x}{2}\right)$}
+\[{\rm cosh}\left(\frac{x}{2}\right) == \sqrt{\frac{{\rm cosh}(x) + 1}{2}}\]
+<<*>>=
+)clear all
+
+--S 94 of 298
+coshhalf:=rule(cosh(x/2) == sqrt((cosh(x)+1)/2))
+--R
+--R                    +-----------+
+--R             x     \|cosh(x) + 1
+--R   (1)  cosh(-) == --------------
+--R             2           +-+
+--R                        \|2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 94
+
+--S 95 of 298
+t1:=cosh(x/2) - sqrt((cosh(x)+1)/2)
+--R
+--R           +-----------+    +-+     x
+--R        - \|cosh(x) + 1  + \|2 cosh(-)
+--R                                    2
+--R   (2)  ------------------------------
+--R                      +-+
+--R                     \|2
+--R                                                     Type: Expression Integer
+--E 95
+
+--S 96 of 298
+t2:=coshhalf t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 96
+
+@
+\subsection{8.29 ${\rm tanh}\left(\frac{x}{2}\right)$}
+\[{\rm tanh}\left(\frac{x}{2}\right) == \pm\sqrt{\frac{{\rm cosh}(x) - 1}{{\rm cosh}(x) + 1}}\quad [+~{\rm if\ \ }x > 0, -{\rm if\ \ }x < 0]\]
+\[== \frac{{\rm sinh}(x)}{{\rm cosh}(x)+1}\]
+\[== \frac{{\rm cosh}(x)-1}{{\rm sinh}(x)}\]
+
+if $x > 0$
+<<*>>=
+)clear all
+
+--S 97 of 298
+tanhhalf:=rule(tanh(x/2) == sqrt((cosh(x)-1)/(cosh(x)+1)))
+--R
+--R                    +-----------+
+--R             x      |cosh(x) - 1
+--R   (1)  tanh(-) ==  |-----------
+--R             2     \|cosh(x) + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 97
+
+--S 98 of 298
+t1:=tanh(x/2) -sqrt((cosh(x)-1)/(cosh(x)+1))
+--R
+--R           +-----------+
+--R           |cosh(x) - 1         x
+--R   (2)  -  |-----------  + tanh(-)
+--R          \|cosh(x) + 1         2
+--R                                                     Type: Expression Integer
+--E 98
+
+--S 99 of 298
+t2:=tanhhalf t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 99
+
+@
+if $x < 0$
+<<*>>=
+)clear all
+
+--S 100 of 298
+tanhhalfneg:=rule(tanh(x/2) == -sqrt((cosh(x)-1)/(cosh(x)+1)))
+--R
+--R                      +-----------+
+--R             x        |cosh(x) - 1
+--R   (1)  tanh(-) == -  |-----------
+--R             2       \|cosh(x) + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 100
+
+--S 101 of 298
+t1:=tanh(x/2) - -sqrt((cosh(x)-1)/(cosh(x)+1))
+--R
+--R         +-----------+
+--R         |cosh(x) - 1         x
+--R   (2)   |-----------  + tanh(-)
+--R        \|cosh(x) + 1         2
+--R                                                     Type: Expression Integer
+--E 101
+
+--S 102 of 298
+t2:=tanhhalfneg t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 102
+
+)clear all
+
+--S 103 of 298
+tanhhalf2:=rule(tanh(x/2) == sinh(x)/(cosh(x)+1))
+--R
+--R             x       sinh(x)
+--R   (1)  tanh(-) == -----------
+--R             2     cosh(x) + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 103
+
+--S 104 of 298
+t1:=tanh(x/2) - sinh(x)/(cosh(x)+1)
+--R
+--R                          x
+--R        (cosh(x) + 1)tanh(-) - sinh(x)
+--R                          2
+--R   (2)  ------------------------------
+--R                  cosh(x) + 1
+--R                                                     Type: Expression Integer
+--E 104
+
+--S 105 of 298
+t2:=tanhhalf2 t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 105
+
+)clear all
+
+--S 106 of 298
+tanhhalf3:=rule(tanh(x/2) == (cosh(x)-1)/sinh(x))
+--R
+--R             x     cosh(x) - 1
+--R   (1)  tanh(-) == -----------
+--R             2       sinh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 106
+
+--S 107 of 298
+t1:=tanh(x/2) - (cosh(x)-1)/sinh(x)
+--R
+--R                    x
+--R        sinh(x)tanh(-) - cosh(x) + 1
+--R                    2
+--R   (2)  ----------------------------
+--R                   sinh(x)
+--R                                                     Type: Expression Integer
+--E 107
+
+--S 108 of 298
+t2:=tanhhalf3 t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 108
+
+@
+
+\section{Multiple Angle Formulas}
+\subsection{8.30 ${\rm sinh}(3x)$}
+\[{\rm sinh}(3x) == 3~{\rm sinh}(x)+4~{\rm sinh}^3(x)\]
+<<*>>=
+)clear all
+
+--S 109 of 298
+sinh3x:=rule(sinh(3*x) == 3*sinh(x)+4*sinh(x)^3)
+--R
+--R                            3
+--R   (1)  sinh(3x) == 4sinh(x)  + 3sinh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 109
+
+--S 110 of 298
+t1:=sinh(3*x) - (3*sinh(x)+4*sinh(x)^3)
+--R
+--R                           3
+--R   (2)  sinh(3x) - 4sinh(x)  - 3sinh(x)
+--R                                                     Type: Expression Integer
+--E 110
+
+--S 111 of 298
+t2:=sinh3x t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 111
+
+@
+\subsection{8.31 ${\rm cosh}(3x)$}
+\[{\rm cosh}(3x) == 4~{\rm cosh}^3(x)-3~{\rm cosh}(x)\]
+<<*>>=
+)clear all
+
+--S 112 of 298
+cosh3x:=rule(cosh(3*x) == 4*cosh(x)^3-3*cosh(x))
+--R
+--R                            3
+--R   (1)  cosh(3x) == 4cosh(x)  - 3cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 112
+
+--S 113 of 298
+t1:=cosh(3*x) - (4*cosh(x)^3-3*cosh(x))
+--R
+--R                           3
+--R   (2)  cosh(3x) - 4cosh(x)  + 3cosh(x)
+--R                                                     Type: Expression Integer
+--E 113
+
+--S 114 of 298
+t2:=cosh3x t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 114
+
+@
+\subsection{8.32 ${\rm tanh}(3x)$}
+\[{\rm tanh}(3x) == \frac{3~{\rm tanh}(x)+{\rm tanh}^3(x)}{1+3~{\rm tanh}^2(x)}\]
+<<*>>=
+)clear all
+
+--S 115 of 298
+tanh3x:=rule(tanh(3*x) == (3*tanh(x)+tanh(x)^3)/(1+3*tanh(x)^2))
+--R
+--R                           3
+--R                    tanh(x)  + 3tanh(x)
+--R   (1)  tanh(3x) == -------------------
+--R                               2
+--R                       3tanh(x)  + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 115
+
+--S 116 of 298
+t1:=tanh(3*x) - (3*tanh(x)+tanh(x)^3)/(1+3*tanh(x)^2)
+--R
+--R                 2                       3
+--R        (3tanh(x)  + 1)tanh(3x) - tanh(x)  - 3tanh(x)
+--R   (2)  ---------------------------------------------
+--R                                2
+--R                        3tanh(x)  + 1
+--R                                                     Type: Expression Integer
+--E 116
+
+--S 117 of 298
+t2:=tanh3x t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 117
+
+@
+\subsection{8.33 ${\rm sinh}(4x)$}
+\[{\rm sinh}(4x) == 8~{\rm sinh}^3(x)~{\rm cosh}(x)+4~{\rm sinh}(x)~{\rm cosh}(x)\]
+<<*>>=
+)clear all
+
+--S 118 of 298
+sinh4x:=rule(sinh(4*x) == 8*sinh(x)^3*cosh(x)+4*sinh(x)*cosh(x))
+--R
+--R                                   3
+--R   (1)  sinh(4x) == 8cosh(x)sinh(x)  + 4cosh(x)sinh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 118
+
+--S 119 of 298
+t1:=sinh(4*x) - (8*sinh(x)^3*cosh(x)+4*sinh(x)*cosh(x))
+--R
+--R                                  3
+--R   (2)  sinh(4x) - 8cosh(x)sinh(x)  - 4cosh(x)sinh(x)
+--R                                                     Type: Expression Integer
+--E 119
+
+--S 120 of 298
+t2:=sinh4x t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 120
+
+@
+\subsection{8.34 ${\rm cosh}(4x)$}
+\[{\rm cosh}(4x) == 8~{\rm cosh}^4(x)-8~{\rm cosh}^2(x)+1\]
+<<*>>=
+)clear all
+
+--S 121 of 298
+cosh4x:=rule(cosh(4*x) == 8*cosh(x)^4-8*cosh(x)^2+1)
+--R
+--R                            4           2
+--R   (1)  cosh(4x) == 8cosh(x)  - 8cosh(x)  + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 121
+
+--S 122 of 298
+t1:=cosh(4*x) - (8*cosh(x)^4-8*cosh(x)^2+1)
+--R
+--R                           4           2
+--R   (2)  cosh(4x) - 8cosh(x)  + 8cosh(x)  - 1
+--R                                                     Type: Expression Integer
+--E 122
+
+--S 123 of 298
+t2:=cosh4x t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 123
+
+@
+\subsection{8.35 ${\rm tanh}(4x)$}
+\[{\rm tanh}(4x) == \frac{4~{\rm tanh}(x)+4~{\rm tanh}^3(x)}{1+6~{\rm tanh}^2(x)+{\rm tanh}^4(x)}\]
+<<*>>=
+)clear all
+
+--S 124 of 298
+tanh4x:=rule(tanh(4*x) == (4*tanh(x)+4*tanh(x)^3)/(1+6*tanh(x)^2+tanh(x)^4))
+--R
+--R                              3
+--R                      4tanh(x)  + 4tanh(x)
+--R   (1)  tanh(4x) == ------------------------
+--R                           4           2
+--R                    tanh(x)  + 6tanh(x)  + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 124
+
+--S 125 of 298
+t1:=tanh(4*x) - (4*tanh(x)+4*tanh(x)^3)/(1+6*tanh(x)^2+tanh(x)^4)
+--R
+--R                4           2                        3
+--R        (tanh(x)  + 6tanh(x)  + 1)tanh(4x) - 4tanh(x)  - 4tanh(x)
+--R   (2)  ---------------------------------------------------------
+--R                                4           2
+--R                         tanh(x)  + 6tanh(x)  + 1
+--R                                                     Type: Expression Integer
+--E 125
+
+--S 126 of 298
+t2:=tanh4x t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 126
+
+@
+
+\section{Powers of Hyperbolic Functions}
+\subsection{8.36 ${\rm sinh}^2(x)$}
+\[{\rm sinh}^2(x) == \frac{1}{2}~{\rm cosh}(2x)-\frac{1}{2}\]
+<<*>>=
+)clear all
+
+--S 127 of 298
+sinhsquared:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (1)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 127
+
+--S 128 of 298
+t1:=sinh(x)^2 - (1/2*cosh(2*x)-1/2)
+--R
+--R                2
+--R        2sinh(x)  - cosh(2x) + 1
+--R   (2)  ------------------------
+--R                    2
+--R                                                     Type: Expression Integer
+--E 128
+
+--S 129 of 298
+t2:=sinhsquared t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 129
+
+@
+\subsection{8.37 ${\rm cosh}^2(x)$}
+\[{\rm cosh}^2(x) == \frac{1}{2}~{\rm cosh}(2x)+\frac{1}{2}\]
+<<*>>=
+)clear all
+
+--S 130 of 298
+coshsquared:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--E 130
+
+--S 131 of 298
+t1:=cosh(x)^2 - (1/2*cosh(2*x)+1/2)
+--E 131
+
+--S 132 of 298
+t2:=coshsquared t1
+--E 132
+
+@
+\subsection{8.38 ${\rm sinh}^3(x)$}
+\[{\rm sinh}^3(x) == \frac{1}{4}~{\rm sinh}(3x)-\frac{3}{4}~{\rm sinh}(x)\]
+<<*>>=
+)clear all
+
+--S 133 of 298
+sinhcubed:=rule(sinh(x)^3 == 1/4*sinh(3*x)-3/4*sinh(x))
+--R
+--R               3    sinh(3x) - 3sinh(x)
+--R   (1)  sinh(x)  == -------------------
+--R                             4
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 133
+
+--S 134 of 298
+t1:=sinh(x)^3 - (1/4*sinh(3*x)-3/4*sinh(x))
+--R
+--R                             3
+--R        - sinh(3x) + 4sinh(x)  + 3sinh(x)
+--R   (2)  ---------------------------------
+--R                        4
+--R                                                     Type: Expression Integer
+--E 134
+
+--S 135 of 298
+t2:=sinhcubed t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 135
+
+@
+\subsection{8.39 ${\rm cosh}^3(x)$}
+\[{\rm cosh}^3(x) == \frac{1}{4}~{\rm cosh}(3x)+\frac{3}{4}~{\rm cosh}(x)\]
+<<*>>=
+)clear all
+
+--S 136 of 298
+coshcubed:=rule(cosh(x)^3 == 1/4*cosh(3*x)+3/4*cosh(x))
+--R
+--R               3    cosh(3x) + 3cosh(x)
+--R   (1)  cosh(x)  == -------------------
+--R                             4
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 136
+
+--S 137 of 298
+t1:=cosh(x)^3 - (1/4*cosh(3*x)+3/4*cosh(x))
+--R
+--R                             3
+--R        - cosh(3x) + 4cosh(x)  - 3cosh(x)
+--R   (2)  ---------------------------------
+--R                        4
+--R                                                     Type: Expression Integer
+--E 137
+
+--S 138 of 298
+t2:=coshcubed t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 138
+
+@
+\subsection{8.40 ${\rm sinh}^4(x)$}
+\[{\rm sinh}^4(x) == \frac{3}{8}-\frac{1}{2}~{\rm cosh}(2x)+\frac{1}{8}~{\rm cosh}(4x)\]
+<<*>>=
+)clear all
+
+--S 139 of 298
+sinhfourth:=rule(sinh(x)^4 == 3/8-1/2*cosh(2*x)+1/8*cosh(4*x))
+--R
+--R               4    cosh(4x) - 4cosh(2x) + 3
+--R   (1)  sinh(x)  == ------------------------
+--R                                8
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 139
+
+--S 140 of 298
+t1:=sinh(x)^4 - (3/8-1/2*cosh(2*x)+1/8*cosh(4*x))
+--R
+--R                4
+--R        8sinh(x)  - cosh(4x) + 4cosh(2x) - 3
+--R   (2)  ------------------------------------
+--R                          8
+--R                                                     Type: Expression Integer
+--E 140
+
+--S 141 of 298
+t2:=sinhfourth t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 141
+
+@
+\subsection{8.41 ${\rm cosh}^4(x)$}
+\[{\rm cosh}^4(x) == \frac{3}{8}+\frac{1}{2}~{\rm cosh}(2x)+\frac{1}{8}~{\rm cosh}(4x)\]
+<<*>>=
+)clear all
+
+--S 142 of 298
+coshfourth:=rule(cosh(x)^4 == 3/8+1/2*cosh(2*x)+1/8*cosh(4*x))
+--R
+--R               4    cosh(4x) + 4cosh(2x) + 3
+--R   (1)  cosh(x)  == ------------------------
+--R                                8
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 142
+
+--S 143 of 298
+t1:=cosh(x)^4 - (3/8+1/2*cosh(2*x)+1/8*cosh(4*x))
+--R
+--R                                         4
+--R        - cosh(4x) - 4cosh(2x) + 8cosh(x)  - 3
+--R   (2)  --------------------------------------
+--R                           8
+--R                                                     Type: Expression Integer
+--E 143
+
+--S 144 of 298
+t2:=coshfourth t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 144
+
+@
+\section{Sum, Difference, and Product of Hyperbolic Products}
+\subsection{8.42 ${\rm sinh}(x)+{\rm sinh}(y)$}
+\[{\rm sinh}(x)+{\rm sinh}(y) == 2~{\rm sinh}(\frac{1}{2}(x+y))~{\rm cosh}(\frac{1}{2}(x-y))\]
+<<*>>=
+)clear all
+
+--S 145 of 298
+sinhplussinh:=rule(sinh(x)+sinh(y) == 2*sinh(1/2*(x+y))*cosh(1/2*(x-y)))
+--R
+--R                                        y - x      y + x
+--I   (1)  sinh(y) + sinh(x) + %M == 2cosh(-----)sinh(-----) + %M
+--R                                          2          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 145
+
+--S 146 of 298
+t1:=sinh(x)+sinh(y) - 2*sinh(1/2*(x+y))*cosh(1/2*(x-y))
+--R
+--R                        y - x      y + x
+--R   (2)  sinh(y) - 2cosh(-----)sinh(-----) + sinh(x)
+--R                          2          2
+--R                                                     Type: Expression Integer
+--E 146
+
+--S 147 of 298
+t2:=sinhplussinh t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 147
+
+@
+\subsection{8.43 ${\rm sinh}(x)-{\rm sinh}(y)$}
+\[{\rm sinh}(x)-{\rm sinh}(y) == 2~{\rm cosh}(\frac{1}{2}(x+y))~{\rm sinh}(\frac{1}{2}(x-y))\]
+<<*>>=
+)clear all
+
+--S 148 of 298
+sinhminussinh:=rule(sinh(x)-sinh(y) == 2*cosh(1/2*(x+y))*sinh(1/2*(x-y)))
+--R
+--R                                            y + x      y - x
+--I   (1)  - sinh(y) + sinh(x) + %N == - 2cosh(-----)sinh(-----) + %N
+--R                                              2          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 148
+
+--S 149 of 298
+t1:=sinh(x)-sinh(y) - 2*cosh(1/2*(x+y))*sinh(1/2*(x-y))
+--R
+--R                          y + x      y - x
+--R   (2)  - sinh(y) + 2cosh(-----)sinh(-----) + sinh(x)
+--R                            2          2
+--R                                                     Type: Expression Integer
+--E 149
+
+--S 150 of 298
+t2:=sinhminussinh t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 150
+
+@
+\subsection{8.44 ${\rm cosh}(x)+{\rm cosh}(y)$}
+\[{\rm cosh}(x)+{\rm cosh}(y) == 2~{\rm cosh}(\frac{1}{2}(x+y))~{\rm cosh}(\frac{1}{2}(x-y))\]
+<<*>>=
+)clear all
+
+--S 151 of 298
+coshpluscosh:=rule(cosh(x)+cosh(y) == 2*cosh(1/2*(x+y))*cosh(1/2*(x-y)))
+--R
+--R                                        y - x      y + x
+--I   (1)  cosh(y) + cosh(x) + %O == 2cosh(-----)cosh(-----) + %O
+--R                                          2          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 151
+
+--S 152 of 298
+t1:=cosh(x)+cosh(y) - 2*cosh(1/2*(x+y))*cosh(1/2*(x-y))
+--R
+--R                        y - x      y + x
+--R   (2)  cosh(y) - 2cosh(-----)cosh(-----) + cosh(x)
+--R                          2          2
+--R                                                     Type: Expression Integer
+--E 152
+
+--S 153 of 298
+t2:=coshpluscosh t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 153
+
+@
+\subsection{8.45 ${\rm cosh}(x)-{\rm cosh}(y)$}
+\[{\rm cosh}(x)-{\rm cosh}(y) == 2~{\rm sinh}(\frac{1}{2}(x+y))~{\rm sinh}(\frac{1}{2}(x-y))\]
+<<*>>=
+)clear all
+
+--S 154 of 298
+coshminuscosh:=rule(cosh(x)-cosh(y) == 2*sinh(1/2*(x+y))*sinh(1/2*(x-y)))
+--R
+--R                                            y - x      y + x
+--I   (1)  - cosh(y) + cosh(x) + %P == - 2sinh(-----)sinh(-----) + %P
+--R                                              2          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 154
+
+--S 155 of 298
+t1:=cosh(x)-cosh(y) - 2*sinh(1/2*(x+y))*sinh(1/2*(x-y))
+--R
+--R              y - x      y + x
+--R   (2)  2sinh(-----)sinh(-----) - cosh(y) + cosh(x)
+--R                2          2
+--R                                                     Type: Expression Integer
+--E 155
+
+--S 156 of 298
+t2:=coshminuscosh t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 156
+
+@
+\subsection{8.46 ${\rm sinh}(x){\rm sinh}(y)$}
+\[{\rm sinh}(x){\rm sinh}(y) == \frac{1}{2}(~{\rm cosh}(x+y)-{\rm cosh}(x-y))\]
+<<*>>=
+)clear all
+
+--S 157 of 298
+sinhtimessinh:=rule(sinh(x)*sinh(y) == 1/2*(cosh(x+y)-cosh(x-y)))
+--R
+--I                             %Q cosh(y + x) - %Q cosh(y - x)
+--I   (1)  %Q sinh(x)sinh(y) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 157
+
+--S 158 of 298
+t1:=sinh(x)*sinh(y) - (1/2*(cosh(x+y)-cosh(x-y)))
+--R
+--R        2sinh(x)sinh(y) - cosh(y + x) + cosh(y - x)
+--R   (2)  -------------------------------------------
+--R                             2
+--R                                                     Type: Expression Integer
+--E 158
+
+--S 159 of 298
+t2:=sinhtimessinh t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 159
+
+@
+\subsection{8.47 ${\rm cosh}(x){\rm cosh}(y)$}
+\[{\rm cosh}(x){\rm cosh}(y) == \frac{1}{2}(~{\rm cosh}(x+y)+{\rm cosh}(x-y))\]
+<<*>>=
+)clear all
+
+--S 160 of 298
+coshtimescosh:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
+--R
+--I                             %R cosh(y + x) + %R cosh(y - x)
+--I   (1)  %R cosh(x)cosh(y) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 160
+
+--S 161 of 298
+t1:=cosh(x)*cosh(y) - 1/2*(cosh(x+y)+cosh(x-y))
+--R
+--R        - cosh(y + x) + 2cosh(x)cosh(y) - cosh(y - x)
+--R   (2)  ---------------------------------------------
+--R                              2
+--R                                                     Type: Expression Integer
+--E 161
+
+--S 162 of 298
+t2:=coshtimescosh t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 162
+
+@
+\subsection{8.48 ${\rm sinh}(x){\rm cosh}(y)$}
+\[{\rm sinh}(x){\rm cosh}(y) == \frac{1}{2}(~{\rm sinh}(x+y)+{\rm sinh}(x-y))\]
+<<*>>=
+)clear all
+
+--S 163 of 298
+sinhtimescosh:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                             %S sinh(y + x) - %S sinh(y - x)
+--I   (1)  %S cosh(y)sinh(x) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 163
+
+--S 164 of 298
+t1:=sinh(x)*cosh(y) - 1/2*(sinh(x+y)+sinh(x-y))
+--R
+--R        - sinh(y + x) + sinh(y - x) + 2cosh(y)sinh(x)
+--R   (2)  ---------------------------------------------
+--R                              2
+--R                                                     Type: Expression Integer
+--E 164
+
+--S 165 of 298
+t2:=sinhtimescosh t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 165
+
+@
+\section{Inverse Hyperbolic Functions}
+\subsection{8.55 ${\rm sinh}^{-1}(x)$}
+\[{\rm asinh}(x) == \log(x+\sqrt{x^2+1}) \quad {\rm if\ \ } -\infty < x < \infty\]
+<<*>>=
+)clear all
+
+--S 166 of 298
+asinhrule:=rule(asinh(x) == log(x+sqrt(x^2+1)))
+--R
+--R                         +------+
+--R                         | 2
+--R   (1)  asinh(x) == log(\|x  + 1  + x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 166
+
+--S 167 of 298
+t1:=asinh(x) - log(x+sqrt(x^2+1))
+--R
+--R               +------+
+--R               | 2
+--R   (2)  - log(\|x  + 1  + x) + asinh(x)
+--R                                                     Type: Expression Integer
+--E 167
+
+--S 168 of 298
+t2:=asinhrule t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 168
+
+@
+\subsection{8.56 ${\rm cosh}^{-1}(x)$}
+\[{\rm acosh}(x) == \log(x+\sqrt{x^2-1}) \quad {\rm if\ \ } x \ge 1\]
+<<*>>=
+)clear all
+
+--S 169 of 298
+acoshrule:=rule(acosh(x) == log(x+sqrt(x^2-1)))
+--R
+--R                         +------+
+--R                         | 2
+--R   (1)  acosh(x) == log(\|x  - 1  + x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 169
+
+--S 170 of 298
+t1:=acosh(x) - log(x+sqrt(x^2-1))
+--R
+--R               +------+
+--R               | 2
+--R   (2)  - log(\|x  - 1  + x) + acosh(x)
+--R                                                     Type: Expression Integer
+--E 170
+
+--S 171 of 298
+t2:=acoshrule t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 171
+
+@
+
+\subsection{8.57 ${\rm tanh}^{-1}(x)$}
+\[{\rm atanh}(x) == \frac{1}{2}\log(\frac{1+x}{1-x}) \quad {\rm if\ \ } -1 < x < 1\]
+<<*>>=
+)clear all
+
+--S 172 of 298
+atanhrule:=rule(atanh(x) == 1/2*log((1+x)/(1-x)))
+--R
+--R                        - x - 1
+--R                    log(-------)
+--R                         x - 1
+--R   (1)  atanh(x) == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 172
+
+--S 173 of 298
+t1:=atanh(x) - 1/2*log((1+x)/(1-x))
+--R
+--R              - x - 1
+--R        - log(-------) + 2atanh(x)
+--R               x - 1
+--R   (2)  --------------------------
+--R                     2
+--R                                                     Type: Expression Integer
+--E 173
+
+--S 174 of 298
+t2:=atanhrule t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 174
+
+@
+
+\subsection{8.58 ${\rm coth}^{-1}(x)$}
+\[{\rm acoth}(x) == \frac{1}{2}\log(\frac{x+1}{x-1}) \quad {\rm if\ \ } x>1 or x<-1\]
+<<*>>=
+)clear all
+
+--S 175 of 298
+acothrule:=rule(acoth(x) == 1/2*log((x+1)/(x-1)))
+--R
+--R                        x + 1
+--R                    log(-----)
+--R                        x - 1
+--R   (1)  acoth(x) == ----------
+--R                         2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 175
+
+--S 176 of 298
+t1:=acoth(x) - 1/2*log((x+1)/(x-1))
+--R
+--R              x + 1
+--R        - log(-----) + 2acoth(x)
+--R              x - 1
+--R   (2)  ------------------------
+--R                    2
+--R                                                     Type: Expression Integer
+--E 176
+
+--S 177 of 298
+t2:=acothrule t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 177
+
+@
+
+\subsection{8.59 ${\rm sech}^{-1}(x)$}
+\[{\rm asech}(x) == \log(\frac{1}{x}+\sqrt{\frac{1}{x^2}-1}) \quad {\rm if\ \ } 0 < x \le 1\]
+<<*>>=
+)clear all
+
+--S 178 of 298
+asechrule:=rule(asech(x) == log(1/x+sqrt(1/x^2-1)))
+--R
+--R                          +--------+
+--R                          |   2
+--R                          |- x  + 1
+--R                        x |--------  + 1
+--R                          |    2
+--R                         \|   x
+--R   (1)  asech(x) == log(----------------)
+--R                                x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 178
+
+--S 179 of 298
+t1:=asech(x) - log(1/x+sqrt(1/x^2-1))
+--R
+--R                +--------+
+--R                |   2
+--R                |- x  + 1
+--R              x |--------  + 1
+--R                |    2
+--R               \|   x
+--R   (2)  - log(----------------) + asech(x)
+--R                      x
+--R                                                     Type: Expression Integer
+--E 179
+
+--S 180 of 298
+t2:=asechrule t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 180
+
+@
+\subsection{8.60 ${\rm csch}^{-1}(x)$}
+\[{\rm acsch}(x) == \log(\frac{1}{x}+\sqrt{\frac{1}{x^2}+1}) \quad {\rm if\ \ } x \ne 0\]
+<<*>>=
+)clear all
+
+--S 181 of 298
+acschrule:=rule(acsch(x) == log(1/x+sqrt(1/x^2+1)))
+--R
+--R                          +------+
+--R                          | 2
+--R                          |x  + 1
+--R                        x |------  + 1
+--R                          |   2
+--R                         \|  x
+--R   (1)  acsch(x) == log(--------------)
+--R                               x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 181
+
+--S 182 of 298
+t1:=acsch(x) - log(1/x+sqrt(1/x^2+1))
+--R
+--R                +------+
+--R                | 2
+--R                |x  + 1
+--R              x |------  + 1
+--R                |   2
+--R               \|  x
+--R   (2)  - log(--------------) + acsch(x)
+--R                     x
+--R                                                     Type: Expression Integer
+--E 182
+
+--S 183 of 298
+t2:=acschrule t1
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 183
+
+@
+\section{Relations between Inverse Hyperbolic Functions}
+\subsection{8.61 ${\rm csch}^{-1}(x)$}
+\[{\rm csch}^{-1}(x) == {\rm sinh}^{-1}\left(\frac{1}{x}\right)\]
+<<*>>=
+)clear all
+
+--S 184 of 298
+cschinv:=rule(csch(x)^(-1) == sinh(1/x)^(-1))
+--R
+--R           1          1
+--R   (1)  ------- == -------
+--R        csch(x)         1
+--R                   sinh(-)
+--R                        x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 184
+
+--S 185 of 298
+t1:=csch(x)^(-1) - sinh(1/x)^(-1)
+--R
+--R             1
+--R        sinh(-) - csch(x)
+--R             x
+--R   (2)  -----------------
+--R                      1
+--R          csch(x)sinh(-)
+--R                      x
+--R                                                     Type: Expression Integer
+--E 185
+
+--S 186 of 298
+t2:=cschinv t1
+--R
+--R             1
+--R        sinh(-) - csch(x)
+--R             x
+--R   (3)  -----------------
+--R                      1
+--R          csch(x)sinh(-)
+--R                      x
+--R                                                     Type: Expression Integer
+--E 186
+
+@
+\subsection{8.62 ${\rm sech}^{-1}(x)$}
+\[{\rm sech}^{-1}(x) == {\rm cosh}^{-1}\left(\frac{1}{x}\right)\]
+<<*>>=
+)clear all
+
+--S 187 of 298
+sechinv:=rule(sech(x)^(-1) == cosh(1/x)^(-1))
+--R
+--R           1          1
+--R   (1)  ------- == -------
+--R        sech(x)         1
+--R                   cosh(-)
+--R                        x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 187
+
+--S 188 of 298
+t1:=sech(x)^(-1) - cosh(1/x)^(-1)
+--R
+--R                         1
+--R        - sech(x) + cosh(-)
+--R                         x
+--R   (2)  -------------------
+--R                1
+--R           cosh(-)sech(x)
+--R                x
+--R                                                     Type: Expression Integer
+--E 188
+
+--S 189 of 298
+t2:=sechinv t1
+--R
+--R                         1
+--R        - sech(x) + cosh(-)
+--R                         x
+--R   (3)  -------------------
+--R                1
+--R           cosh(-)sech(x)
+--R                x
+--R                                                     Type: Expression Integer
+--E 189
+
+@
+\subsection{8.63 ${\rm coth}^{-1}(x)$}
+\[{\rm coth}^{-1}(x) == {\rm tanh}^{-1}\left(\frac{1}{x}\right)\]
+<<*>>=
+)clear all
+
+--S 190 of 298
+cothinv:=rule(coth(x)^(-1) == tanh(1/x)^(-1))
+--R
+--R           1          1
+--R   (1)  ------- == -------
+--R        coth(x)         1
+--R                   tanh(-)
+--R                        x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E 190
+
+--S 191 of 298
+t1:=coth(x)^(-1) - tanh(1/x)^(-1)
+--R
+--R             1
+--R        tanh(-) - coth(x)
+--R             x
+--R   (2)  -----------------
+--R                      1
+--R          coth(x)tanh(-)
+--R                      x
+--R                                                     Type: Expression Integer
+--E 191
+
+--S 192 of 298
+t2:=cothinv t1
+--R
+--R             1
+--R        tanh(-) - coth(x)
+--R             x
+--R   (3)  -----------------
+--R                      1
+--R          coth(x)tanh(-)
+--R                      x
+--R                                                     Type: Expression Integer
+--E 192
+
+@
+\subsection{8.64 ${\rm sinh}^{-1}(x)$}
+\[{\rm sinh}^{-1}(x) == -~{\rm sinh}^{-1}(x)\]
+These identities are already known to Axiom
+<<*>>=
+)clear all
+
+--S 193 of 298
+t1:=sinh(-x)^(-1) - -sinh(x)^(-1)
+--R
+--R   (1)  0
+--R                                                     Type: Expression Integer
+--E 193
+
+@
+\subsection{8.65 ${\rm tanh}^{-1}(x)$}
+\[{\rm tanh}^{-1}(x) == -~{\rm tanh}^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 194 of 298
+t1:=tanh(-x)^(-1) - -tanh(x)^(-1)
+--R
+--R   (1)  0
+--R                                                     Type: Expression Integer
+--E 194
+
+@
+\subsection{8.66 ${\rm coth}^{-1}(x)$}
+\[{\rm coth}^{-1}(x) == -~{\rm coth}^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 195 of 298
+t1:=coth(-x)^(-1) - -coth(x)^(-1)
+--R
+--R   (1)  0
+--R                                                     Type: Expression Integer
+--E 195
+
+@
+\subsection{8.67 ${\rm csch}^{-1}(x)$}
+\[{\rm csch}^{-1}(x) == -~{\rm csch}^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 196 of 298
+t1:=csch(-x)^(-1) - -csch(x)^(-1)
+--R
+--R   (1)  0
+--R                                                     Type: Expression Integer
+--E 196
+
+@
+\section{Relationship between Hyperbolic and Trigonometric Functions}
+\subsection{8.74 $\sin(ix)$}
+\[\sin(ix) == i~{\rm sinh}(x)\]
+This match does not work.
+<<*>>=
+)clear all
+
+--S 197 of 298
+sininv:=rule(sin(%i*x) == %i*sinh(x))
+--R
+--R   (1)  sin(%i x) == %i sinh(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 197
+
+--S 198 of 298
+t1:=sin(x*%i) - %i*sinh(x)
+--R
+--R   (2)  - %i sinh(x) + sin(%i x)
+--R                                             Type: Expression Complex Integer
+--E 198
+
+--S 199 of 298
+t2:=sininv t1
+--R
+--R   (3)  - %i sinh(x) + sin(%i x)
+--R                                             Type: Expression Complex Integer
+--E 199
+
+@
+\subsection{8.75 $\cos(ix)$}
+\[\cos(ix) == {\rm cosh}(x)\]
+<<*>>=
+)clear all
+
+--S 200 of 298
+cosinv:=rule(cos(x*%i) == cosh(x))
+--R
+--R   (1)  cos(%i x) == cosh(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 200
+
+--S 201 of 298
+t1:=cos(x*%i) - cosh(x)
+--R
+--R   (2)  - cosh(x) + cos(%i x)
+--R                                             Type: Expression Complex Integer
+--E 201
+
+--S 202 of 298
+t2:=cosinv t1
+--R
+--R   (3)  - cosh(x) + cos(%i x)
+--R                                             Type: Expression Complex Integer
+--E 202
+
+@
+\subsection{8.76 $\tan(ix)$}
+\[\tan(ix) == i~{\rm tanh}(x)\]
+<<*>>=
+)clear all
+
+--S 203 of 298
+taninv:=rule(tan(x*%i) == %i*tanh(x))
+--R
+--R   (1)  tan(%i x) == %i tanh(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 203
+
+--S 204 of 298
+t1:=tan(x*%i) - %i*tanh(x)
+--R
+--R   (2)  - %i tanh(x) + tan(%i x)
+--R                                             Type: Expression Complex Integer
+--E 204
+
+--S 205 of 298
+t2:=taninv t1
+--R
+--R   (3)  - %i tanh(x) + tan(%i x)
+--R                                             Type: Expression Complex Integer
+--E 205
+
+@
+\subsection{8.77 $\csc(ix)$}
+\[\csc(ix) == -i~{\rm csch}(x)\]
+<<*>>=
+)clear all
+
+--S 206 of 298
+cscinv:=rule(csc(x*%i) == -%i*csch(x))
+--R
+--R   (1)  csc(%i x) == - %i csch(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 206
+
+--S 207 of 298
+t1:=csc(x*%i) - -%i*csch(x)
+--R
+--R   (2)  %i csch(x) + csc(%i x)
+--R                                             Type: Expression Complex Integer
+--E 207
+
+--S 208 of 298
+t2:=cscinv t1
+--R
+--R   (3)  %i csch(x) + csc(%i x)
+--R                                             Type: Expression Complex Integer
+--E 208
+
+@
+\subsection{8.78 $\sec(ix)$}
+\[\sec(ix) == {\rm sech}(x)\]
+<<*>>=
+)clear all
+
+--S 209 of 298
+secinv:=rule(sec(x*%i) == sech(x))
+--R
+--R   (1)  sec(%i x) == sech(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 209
+
+--S 210 of 298
+t1:=sec(x*%i) - sech(x)
+--R
+--R   (2)  - sech(x) + sec(%i x)
+--R                                             Type: Expression Complex Integer
+--E 210
+
+--S 211 of 298
+t2:=secinv t1
+--R
+--R   (3)  - sech(x) + sec(%i x)
+--R                                             Type: Expression Complex Integer
+--E 211
+
+@
+\subsection{8.79 $\cot(ix)$}
+\[\cot(ix) == -i~{\rm coth}(x)\]
+<<*>>=
+)clear all
+
+--S 212 of 298
+cotinv:=rule(cot(x*%i) == -%i*coth(x))
+--R
+--R   (1)  cot(%i x) == - %i coth(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 212
+
+--S 213 of 298
+t1:=cot(x*%i) - -%i*coth(x)
+--R
+--R   (2)  %i coth(x) + cot(%i x)
+--R                                             Type: Expression Complex Integer
+--E 213
+
+--S 214 of 298
+t2:=cotinv t1
+--R
+--R   (3)  %i coth(x) + cot(%i x)
+--R                                             Type: Expression Complex Integer
+--E 214 
+
+@
+\subsection{8.80 ${\rm sinh}(ix)$}
+\[\sinh(ix) == i~\sin(x)\]
+<<*>>=
+)clear all
+
+--S 215 of 298
+sinhinv:=rule(sinh(x*%i) == %i*sin(x))
+--R
+--R   (1)  sinh(%i x) == %i sin(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 215
+
+--S 216 of 298
+t1:=sinh(x*%i) - %i*sin(x)
+--R
+--R   (2)  sinh(%i x) - %i sin(x)
+--R                                             Type: Expression Complex Integer
+--E 216
+
+--S 217 of 298
+t2:=sinhinv t1
+--R
+--R   (3)  sinh(%i x) - %i sin(x)
+--R                                             Type: Expression Complex Integer
+--E 217
+
+@
+\subsection{8.81 ${\rm cosh}(ix)$}
+\[\cosh(ix) == \cos(x)\]
+<<*>>=
+)clear all
+
+--S 218 of 298
+coshinv:=rule(cosh(x*%i) == cos(x))
+--R
+--R   (1)  cosh(%i x) == cos(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 218
+
+--S 219 of 298
+t1:=cosh(x*%i) - cos(x)
+--R
+--R   (2)  cosh(%i x) - cos(x)
+--R                                             Type: Expression Complex Integer
+--E 219
+
+--S 220 of 298
+t2:=coshinv t1
+--R
+--R   (3)  cosh(%i x) - cos(x)
+--R                                             Type: Expression Complex Integer
+--E 220
+
+@
+p\subsection{8.82 ${\rm tanh}(ix)$}
+\[\tanh(ix) == i\tan(x)\]
+<<*>>=
+)clear all
+
+--S 221 of 298
+tanhinv:=rule(tanh(x*%i) == %i*tan(x))
+--R
+--R   (1)  tanh(%i x) == %i tan(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 221
+
+--S 222 of 298
+t1:=tanh(x*%i) - %i*tan(x)
+--R
+--R   (2)  tanh(%i x) - %i tan(x)
+--R                                             Type: Expression Complex Integer
+--E 222
+
+--S 223 of 298
+t2:=tanhinv t1
+--R
+--R   (3)  tanh(%i x) - %i tan(x)
+--R                                             Type: Expression Complex Integer
+--E 223
+
+@
+\subsection{8.83 ${\rm csch}(ix)$}
+\[{\rm csch}(ix) == -i \csc(x)\]
+<<*>>=
+)clear all
+
+--S 224 of 298
+cschinv:=rule(x*%i == -%i*csc(x))
+--R
+--R   (1)  %i x == - %i csc(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 224
+
+--S 225 of 298
+t1:=x*%i - -%i*csc(x)
+--R
+--R   (2)  %i csc(x) + %i x
+--R                                             Type: Expression Complex Integer
+--E 225
+
+--S 226 of 298
+t2:=cschinv t1
+--R
+--R   (3)  %i csc(x) + %i x
+--R                                             Type: Expression Complex Integer
+--E 226
+
+@
+\subsection{8.84 ${\rm sech}(ix)$}
+\[{\rm sech}(ix) == \sec(x)\]
+<<*>>=
+)clear all
+
+--S 227 of 298
+sechinv:=rule(sech(x*%i) == sec(x))
+--R
+--R   (1)  sech(%i x) == sec(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 227
+
+--S 228 of 298
+t1:=sech(x*%i) - sec(x)
+--R
+--R   (2)  sech(%i x) - sec(x)
+--R                                             Type: Expression Complex Integer
+--E 228
+
+--S 229 of 298
+t2:=sechinv t1
+--R
+--R   (3)  sech(%i x) - sec(x)
+--R                                             Type: Expression Complex Integer
+--E 229
+
+@
+\subsection{8.85 ${\rm coth}(ix)$}
+\[{\rm coth}(ix) == -i \cot(x)\]
+<<*>>=
+)clear all
+
+--S 230 of 298
+cothinv:=rule(coth(x*%i) == -%i*cot(x))
+--R
+--R   (1)  coth(%i x) == - %i cot(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 230
+
+--S 231 of 298
+t1:=coth(x*%i) - -%i*cot(x)
+--R
+--R   (2)  coth(%i x) + %i cot(x)
+--R                                             Type: Expression Complex Integer
+--E 231
+
+--S 232 of 298
+t2:=cothinv t1
+--R
+--R   (3)  coth(%i x) + %i cot(x)
+--R                                             Type: Expression Complex Integer
+--E 232
+
+@
+
+\section{Periodicity of Hyperbolic Functions}
+\subsection{8.86 ${\rm sinh}(x+2k\pi i)$}
+\[{\rm sinh}(x+2k\pi i) == {\rm sinh}(x)\]
+<<*>>=
+)clear all
+
+--S 233 of 298
+sinhperiod:=rule(sinh(x+2*k*%pi*%i) == sinh(x))
+--R
+--R   (1)  sinh(x + 2%i k %pi) == sinh(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 233
+
+--S 234 of 298
+t1:=sinh(x+2*k*%pi*%i) - sinh(x)
+--R
+--R   (2)  sinh(x + 2%i k %pi) - sinh(x)
+--R                                             Type: Expression Complex Integer
+--E 234
+
+--S 235 of 298
+t2:=sinhperiod t1
+--R
+--R   (3)  sinh(x + 2%i k %pi) - sinh(x)
+--R                                             Type: Expression Complex Integer
+--E 235
+
+@
+\subsection{8.87 ${\rm cosh}(x+2k\pi i)$} 
+\[{\rm cosh}(x+2k\pi i) == {\rm cosh}(x)\]
+<<*>>=
+)clear all
+
+--S 236 of 298
+coshperiod:=rule(cosh(x+2*k*%pi*%i) == cosh(x))
+--R
+--R   (1)  cosh(x + 2%i k %pi) == cosh(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 236
+
+--S 237 of 298
+t1:=cosh(x+2*k*%pi*%i) - cosh(x)
+--R
+--R   (2)  cosh(x + 2%i k %pi) - cosh(x)
+--R                                             Type: Expression Complex Integer
+--E 237
+
+--S 238 of 298
+t2:=coshperiod t1
+--R
+--R   (3)  cosh(x + 2%i k %pi) - cosh(x)
+--R                                             Type: Expression Complex Integer
+--E 238
+
+@
+\subsection{8.88 ${\rm tanh}(x+2k\pi i)$} 
+\[{\rm tanh}(x+k\pi i) == {\rm tanh}(x)\]
+<<*>>=
+)clear all
+
+--S 239 of 298
+tanhperiod:=rule(tanh(x+k*%pi*%i) == tanh(x))
+--R
+--R   (1)  tanh(x + %i k %pi) == tanh(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 239
+
+--S 240 of 298
+t1:=tanh(x+k*%pi*%i) - tanh(x)
+--R
+--R   (2)  tanh(x + %i k %pi) - tanh(x)
+--R                                             Type: Expression Complex Integer
+--E 240
+
+--S 241 of 298
+t2:=tanhperiod t1
+--R
+--R   (3)  tanh(x + %i k %pi) - tanh(x)
+--R                                             Type: Expression Complex Integer
+--E 241
+
+@
+\subsection{8.89 ${\rm csch}(x+2k\pi i)$} 
+\[{\rm csch}(x+2k\pi i) == {\rm csch}(x)\]
+<<*>>=
+)clear all
+
+--S 242 of 298
+cschperiod:=rule(csch(x+2*k*%pi*%i) == csch(x))
+--R
+--R   (1)  csch(x + 2%i k %pi) == csch(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 242
+
+--S 243 of 298
+t1:=csch(x+2*k*%pi*%i) - csch(x)
+--R
+--R   (2)  csch(x + 2%i k %pi) - csch(x)
+--R                                             Type: Expression Complex Integer
+--E 243
+
+--S 244 of 298
+t2:=cschperiod t1
+--R
+--R   (3)  csch(x + 2%i k %pi) - csch(x)
+--R                                             Type: Expression Complex Integer
+--E 244
+
+@
+\subsection{8.90 ${\rm sech}(x+2k\pi i)$} 
+\[{\rm sech}(x+2k\pi i) == {\rm sech}(x)\]
+<<*>>=
+)clear all
+
+--S 245 of 298
+sechperiod:=rule(sech(x+2*k*%pi*%i) == sech(x))
+--R
+--R   (1)  sech(x + 2%i k %pi) == sech(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 245
+
+--S 246 of 298
+t1:=sech(x+2*k*%pi*%i) - sech(x)
+--R
+--R   (2)  sech(x + 2%i k %pi) - sech(x)
+--R                                             Type: Expression Complex Integer
+--E 246
+
+--S 247 of 298
+t2:=sechperiod t1
+--R
+--R   (3)  sech(x + 2%i k %pi) - sech(x)
+--R                                             Type: Expression Complex Integer
+--E 247
+
+@
+\subsection{8.91 ${\rm coth}(x+2k\pi i)$} 
+\[{\rm coth}(x+k\pi i) == {\rm coth}(x)\]
+<<*>>=
+)clear all
+
+--S 248 of 298
+cothperiod:=rule(coth(x+k*%pi*%i) == coth(x))
+--R
+--R   (1)  coth(x + %i k %pi) == coth(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 248
+
+--S 249 of 298
+t1:=coth(x+k*%pi*%i) - coth(x)
+--R
+--R   (2)  coth(x + %i k %pi) - coth(x)
+--R                                             Type: Expression Complex Integer
+--E 249
+
+--S 250 of 298
+t2:=cothperiod t1
+--R
+--R   (3)  coth(x + %i k %pi) - coth(x)
+--R                                             Type: Expression Complex Integer
+--E 250
+
+@
+
+\section{Relationship between Inverse Hyperbolic and Inverse Trigonometric Functions}
+These patterns do not match in Axiom.
+\subsection{8.92 $\sin^{-1}(ix)$}
+\[\sin^{-1}(ix) == i~{\rm sinh}^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 251 of 298
+sinsinh:=rule(sin(%i*x)^(-1) == %i*sinh(x)^(-1))
+--R
+--R            1           %i
+--R   (1)  --------- == -------
+--R        sin(%i x)    sinh(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 251
+
+--S 252 of 298
+t1:=sin(%i*x)^(-1) - %i*sinh(x)^(-1)
+--R
+--R        sinh(x) - %i sin(%i x)
+--R   (2)  ----------------------
+--R           sin(%i x)sinh(x)
+--R                                             Type: Expression Complex Integer
+--E 252
+
+--S 253 of 298
+t2:=sinsinh t1
+--R
+--R        sinh(x) - %i sin(%i x)
+--R   (3)  ----------------------
+--R           sin(%i x)sinh(x)
+--R                                             Type: Expression Complex Integer
+--E 253
+
+@
+\subsection{8.93 ${\rm \sinh}^{-1}(ix)$}
+\[{\rm \sinh}^{-1}(ix) == i~\sin^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 254 of 298
+sinhsin:=rule(sinh(%i*x)^(-1) == %i*sin(x)^(-1))
+--R
+--R             1          %i
+--R   (1)  ---------- == ------
+--R        sinh(%i x)    sin(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 254
+
+--S 255 of 298
+t1:=sinh(%i*x)^(-1) - %i*sin(x)^(-1)
+--R
+--R        - %i sinh(%i x) + sin(x)
+--R   (2)  ------------------------
+--R            sin(x)sinh(%i x)
+--R                                             Type: Expression Complex Integer
+--E 255
+
+--S 256 of 298
+t2:=sinhsin t1
+--R
+--R        - %i sinh(%i x) + sin(x)
+--R   (3)  ------------------------
+--R            sin(x)sinh(%i x)
+--R                                             Type: Expression Complex Integer
+--E 256
+
+@
+\subsection{8.94 $\cos^{-1}(x)$}
+\[\cos^{-1}(x) == \pm ~{\rm cosh}^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 257 of 298
+coscosh:=rule(cos(x)^(-1) == %i*cosh(x)^(-1))
+--R
+--R           1         %i
+--R   (1)  ------ == -------
+--R        cos(x)    cosh(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 257
+
+--S 258 of 298
+t1:=cos(x)^(-1) - %i*cosh(x)^(-1)
+--R
+--R        cosh(x) - %i cos(x)
+--R   (2)  -------------------
+--R           cos(x)cosh(x)
+--R                                             Type: Expression Complex Integer
+--E 258
+
+--S 259 of 298
+t2:=coscosh t1
+--R
+--R        cosh(x) - %i cos(x)
+--R   (3)  -------------------
+--R           cos(x)cosh(x)
+--R                                             Type: Expression Complex Integer
+--E 259
+
+)clear all
+
+--S 260 of 298
+coscosh2:=rule(cos(x)^(-1) == -%i*cosh(x)^(-1))
+--R
+--R           1           %i
+--R   (1)  ------ == - -------
+--R        cos(x)      cosh(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 260
+
+--S 261 of 298
+t1:=cos(x)^(-1) - -%i*cosh(x)^(-1)
+--R
+--R        cosh(x) + %i cos(x)
+--R   (2)  -------------------
+--R           cos(x)cosh(x)
+--R                                             Type: Expression Complex Integer
+--E 261
+
+--S 262 of 298
+t2:=coscosh2 t1
+--R
+--R        cosh(x) + %i cos(x)
+--R   (3)  -------------------
+--R           cos(x)cosh(x)
+--R                                             Type: Expression Complex Integer
+--E 262
+
+@
+\subsection{8.95 ${\rm \cosh}^{-1}(x)$}
+\[{\rm \cosh}^{-1}(x) == \pm i~\cos^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 263 of 298
+coshcos:=rule(cosh(x)^(-1) == %i*cos(x)^(-1))
+--R
+--R           1         %i
+--R   (1)  ------- == ------
+--R        cosh(x)    cos(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 263
+
+--S 264 of 298
+t1:=cosh(x)^(-1) - %i*cos(x)^(-1)
+--R
+--R        - %i cosh(x) + cos(x)
+--R   (2)  ---------------------
+--R            cos(x)cosh(x)
+--R                                             Type: Expression Complex Integer
+--E 264
+
+--S 265 of 298
+t2:=coshcos t1
+--R
+--R        - %i cosh(x) + cos(x)
+--R   (3)  ---------------------
+--R            cos(x)cosh(x)
+--R                                             Type: Expression Complex Integer
+--E 265
+
+)clear all
+
+--S 266 of 298
+coshcos2:=rule(cosh(x)^(-1) == -%i*cos(x)^(-1))
+--R
+--R           1           %i
+--R   (1)  ------- == - ------
+--R        cosh(x)      cos(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 266
+
+--S 267 of 298
+t1:=cosh(x)^(-1) - -%i*cos(x)^(-1)
+--R
+--R        %i cosh(x) + cos(x)
+--R   (2)  -------------------
+--R           cos(x)cosh(x)
+--R                                             Type: Expression Complex Integer
+--E 267
+
+--S 268 of 298
+t2:=coshcos2 t1
+--R
+--R        %i cosh(x) + cos(x)
+--R   (3)  -------------------
+--R           cos(x)cosh(x)
+--R                                             Type: Expression Complex Integer
+--E 268
+
+@
+\subsection{8.96 $\tan^{-1}(ix)$}
+\[\tan^{-1}(ix) == i~{\rm tanh}^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 269 of 298
+tantanh:=rule(tan(%i*x)^(-1) == %i*tanh(x)^(-1))
+--R
+--R            1           %i
+--R   (1)  --------- == -------
+--R        tan(%i x)    tanh(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 269
+
+--S 270 of 298
+t1:=tan(%i*x)^(-1) - %i*tanh(x)^(-1)
+--R
+--R        tanh(x) - %i tan(%i x)
+--R   (2)  ----------------------
+--R           tan(%i x)tanh(x)
+--R                                             Type: Expression Complex Integer
+--E 270
+
+--S 271 of 298
+t2:=tantanh t1
+--R
+--R        tanh(x) - %i tan(%i x)
+--R   (3)  ----------------------
+--R           tan(%i x)tanh(x)
+--R                                             Type: Expression Complex Integer
+--E 271
+
+@
+\subsection{8.97 ${\rm tanh}^{-1}(ix)$}
+\[{\rm tanh}^{-1}(ix) == i~\tan^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 272 of 298
+tanhtan:=rule(tanh(%i*x)^(-1) == %i*tan(x)^(-1))
+--R
+--R             1          %i
+--R   (1)  ---------- == ------
+--R        tanh(%i x)    tan(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 272
+
+--S 273 of 298
+t1:=tanh(%i*x)^(-1) - %i*tan(x)^(-1)
+--R
+--R        - %i tanh(%i x) + tan(x)
+--R   (2)  ------------------------
+--R            tan(x)tanh(%i x)
+--R                                             Type: Expression Complex Integer
+--E 273
+
+--S 274 of 298
+t2:=tanhtan t1
+--R
+--R        - %i tanh(%i x) + tan(x)
+--R   (3)  ------------------------
+--R            tan(x)tanh(%i x)
+--R                                             Type: Expression Complex Integer
+--E 274
+
+@
+\subsection{8.98 $\cot^{-1}(ix)$}
+\[\cot^{-1}(ix) == -i~{\rm cosh}^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 275 of 298
+cotcoth:=rule(cot(%i*x)^(-1) == -%i*coth(x)^(-1))
+--R
+--R            1             %i
+--R   (1)  --------- == - -------
+--R        cot(%i x)      coth(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 275
+
+--S 276 of 298
+t1:=cot(%i*x)^(-1) - -%i*coth(x)^(-1)
+--R
+--R        coth(x) + %i cot(%i x)
+--R   (2)  ----------------------
+--R           cot(%i x)coth(x)
+--R                                             Type: Expression Complex Integer
+--E 276
+
+--S 277 of 298
+t2:=cotcoth t1
+--R
+--R        coth(x) + %i cot(%i x)
+--R   (3)  ----------------------
+--R           cot(%i x)coth(x)
+--R                                             Type: Expression Complex Integer
+--E 277
+
+@
+\subsection{8.99 ${\rm coth}^{-1}(ix)$}
+\[{\rm coth}^{-1}(ix) == -i~\cot^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 278 of 298
+cothcot:=rule(coth(%i*x)^(-1) == -%i*cot(x)^(-1))
+--R
+--R             1            %i
+--R   (1)  ---------- == - ------
+--R        coth(%i x)      cot(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 278
+
+--S 279 of 298
+t1:=coth(%i*x)^(-1) - -%i*cot(x)^(-1)
+--R
+--R        %i coth(%i x) + cot(x)
+--R   (2)  ----------------------
+--R           cot(x)coth(%i x)
+--R                                             Type: Expression Complex Integer
+--E 279
+
+--S 280 of 298
+t2:=cothcot t1
+--R
+--R        %i coth(%i x) + cot(x)
+--R   (3)  ----------------------
+--R           cot(x)coth(%i x)
+--R                                             Type: Expression Complex Integer
+--E 280
+
+@
+\subsection{8.100 $\sec^{-1}(x)$}
+\[\sec^{-1}(x) == \pm i~{\rm sech}(x)\]
+<<*>>=
+)clear all
+
+--S 281 of 298
+secsech:=rule(sec(x)^(-1) == %i*sech(x)^(-1))
+--R
+--R           1         %i
+--R   (1)  ------ == -------
+--R        sec(x)    sech(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 281
+
+--S 282 of 298
+t1:=sec(x)^(-1) - %i*sech(x)^(-1)
+--R
+--R        sech(x) - %i sec(x)
+--R   (2)  -------------------
+--R           sec(x)sech(x)
+--R                                             Type: Expression Complex Integer
+--E 282
+
+--S 283 of 298
+t2:=secsech t1
+--R
+--R        sech(x) - %i sec(x)
+--R   (3)  -------------------
+--R           sec(x)sech(x)
+--R                                             Type: Expression Complex Integer
+--E 283
+
+)clear all
+
+--S 284 of 298
+secsech2:=rule(sec(x)^(-1) == -%i*sech(x)^(-1))
+--R
+--R           1           %i
+--R   (1)  ------ == - -------
+--R        sec(x)      sech(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 284
+
+--S 285 of 298
+t1:=sec(x)^(-1) - -%i*sech(x)^(-1)
+--R
+--R        sech(x) + %i sec(x)
+--R   (2)  -------------------
+--R           sec(x)sech(x)
+--R                                             Type: Expression Complex Integer
+--E 285
+
+--S 286 of 298
+t2:=secsech2 t1
+--R
+--R        sech(x) + %i sec(x)
+--R   (3)  -------------------
+--R           sec(x)sech(x)
+--R                                             Type: Expression Complex Integer
+--E 286
+
+@
+\subsection{8.101 ${\rm sech}^{-1}(x)$}
+\[{\rm sech}^{-1}(x) == \pm i~\sec^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 287 of 298
+sechsec:=rule(sech(x)^(-1) == %i*sec(x)^(-1))
+--R
+--R           1         %i
+--R   (1)  ------- == ------
+--R        sech(x)    sec(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 287
+
+--S 288 of 298
+t1:=sech(x)^(-1) - %i*sec(x)^(-1)
+--R
+--R        - %i sech(x) + sec(x)
+--R   (2)  ---------------------
+--R            sec(x)sech(x)
+--R                                             Type: Expression Complex Integer
+--E 288
+
+--S 289 of 298
+t2:=sechsec t1
+--R
+--R        - %i sech(x) + sec(x)
+--R   (3)  ---------------------
+--R            sec(x)sech(x)
+--R                                             Type: Expression Complex Integer
+--E 289
+
+)clear all
+
+--S 290 of 298
+sechsec:=rule(sech(x)^(-1) == -%i*sec(x)^(-1))
+--R
+--R           1           %i
+--R   (1)  ------- == - ------
+--R        sech(x)      sec(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 290
+
+--S 291 of 298
+t1:=sech(x)^(-1) - -%i*sec(x)^(-1)
+--R
+--R        %i sech(x) + sec(x)
+--R   (2)  -------------------
+--R           sec(x)sech(x)
+--R                                             Type: Expression Complex Integer
+--E 291
+
+--S 292 of 298
+t2:=sechsec t1
+--R
+--R        %i sech(x) + sec(x)
+--R   (3)  -------------------
+--R           sec(x)sech(x)
+--R                                             Type: Expression Complex Integer
+--E 292
+
+@
+\subsection{8.102 $\csc^{-1}(ix)$}
+\[\csc^{-1}(ix) == -i~{\rm csch}^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 293 of 298
+csccsch:=rule(csc(%i*x)^(-1) == -%i*csch(x)^(-1))
+--R
+--R            1             %i
+--R   (1)  --------- == - -------
+--R        csc(%i x)      csch(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 293
+
+--S 294 of 298
+t1:=csc(%i*x)^(-1) - -%i*csch(x)^(-1)
+--R
+--R        csch(x) + %i csc(%i x)
+--R   (2)  ----------------------
+--R           csc(%i x)csch(x)
+--R                                             Type: Expression Complex Integer
+--E 294
+
+--S 295 of 298
+t2:=csccsch t1
+--R
+--R        csch(x) + %i csc(%i x)
+--R   (3)  ----------------------
+--R           csc(%i x)csch(x)
+--R                                             Type: Expression Complex Integer
+--E 295
+
+@
+\subsection{8.103 ${\rm csch}^{-1}(ix)$}
+\[{\rm csch}^{-1}(ix) ==-i~\csc^{-1}(x)\]
+<<*>>=
+)clear all
+
+--S 296 of 298
+cschcsc:=rule(csch(%i*x)^(-1) == -%i*csc(x)^(-1))
+--R
+--R             1            %i
+--R   (1)  ---------- == - ------
+--R        csch(%i x)      csc(x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E 296
+
+--S 297 of 298
+t1:=csch(%i*x)^(-1) - -%i*csc(x)^(-1)
+--R
+--R        %i csch(%i x) + csc(x)
+--R   (2)  ----------------------
+--R           csc(x)csch(%i x)
+--R                                             Type: Expression Complex Integer
+--E 297
+
+--S 298 of 298
+t2:=cschcsc t1
+--R
+--R        %i csch(%i x) + csc(x)
+--R   (3)  ----------------------
+--R           csc(x)csch(%i x)
+--R                                             Type: Expression Complex Integer
+--E 298
+
+@
+
+\begin{verbatim}
+rootrule4a:RewriteRule(INT,COMPLEX(INT),EXPR(COMPLEX(INT))):=rule(sqrt(p^2-q^2)==sqrt(p-q)*sqrt(q+p))  schaum17.input.pamphlet:
+tanrule2:RewriteRule(INT,COMPLEX(INT),EXPR(COMPLEX(INT))):=rule(tan(a) == sin(a)/cos(a))  schaum17.input.pamphlet:
+\end{verbatim}
+
+<<*>>=
+)spool 
+)lisp (bye)
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
